org.apache.kylin.jdbc.json

## Class SQLResponseStub

- java.lang.Object
- - org.apache.kylin.jdbc.json.SQLResponseStub

All Implemented Interfaces:
  Serializable

    public class SQLResponseStub
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `SQLResponseStub.ColumnMetaStub`

### Constructor Summary

Constructors
Constructor and Description
`SQLResponseStub()`

### Method Summary

Methods
`int` `getAffectedRowCount()`
`List<SQLResponseStub.ColumnMetaStub>` `getColumnMetas()`
`String` `getCube()`
`long` `getDuration()`
`String` `getExceptionMessage()`
`boolean` `getIsException()`
`List<String[]>` `getResults()`
`static long` `getSerialversionuid()`
`long` `getTotalScanCount()`
`boolean` `isHitCache()`
`boolean` `isPartial()`
`void` `setAffectedRowCount(int affectedRowCount)`
`void` `setColumnMetas(List<SQLResponseStub.ColumnMetaStub> columnMetas)`
`void` `setCube(String cube)`
`void` `setDuration(long duration)`
`void` `setExceptionMessage(String exceptionMessage)`
`void` `setHitCache(boolean hitCache)`
`void` `setIsException(boolean isException)`
`void` `setPartial(boolean isPartial)`
`void` `setResults(List<String[]> results)`
`void` `setTotalScanCount(long totalScanCount)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQLResponseStub

    public SQLResponseStub()

### Method Detail

#### getSerialversionuid

    public static long getSerialversionuid()

#### getColumnMetas

    public List<SQLResponseStub.ColumnMetaStub> getColumnMetas()

#### setColumnMetas

    public void setColumnMetas(List<SQLResponseStub.ColumnMetaStub> columnMetas)

#### getResults

    public List<String[]> getResults()

#### setResults

    public void setResults(List<String[]> results)

#### getCube

    public String getCube()

#### setCube

    public void setCube(String cube)

#### getAffectedRowCount

    public int getAffectedRowCount()

#### setAffectedRowCount

    public void setAffectedRowCount(int affectedRowCount)

#### getIsException

    public boolean getIsException()

#### setIsException

    public void setIsException(boolean isException)

#### getExceptionMessage

    public String getExceptionMessage()

#### setExceptionMessage

    public void setExceptionMessage(String exceptionMessage)

#### getDuration

    public long getDuration()

#### setDuration

    public void setDuration(long duration)

#### isPartial

    public boolean isPartial()

#### setPartial

    public void setPartial(boolean isPartial)

#### getTotalScanCount

    public long getTotalScanCount()

#### setTotalScanCount

    public void setTotalScanCount(long totalScanCount)

#### isHitCache

    public boolean isHitCache()

#### setHitCache

    public void setHitCache(boolean hitCache)